Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.evaluation
Class IntrinsicEvaluation

    java.lang.Object
      infomat.evaluation.IntrinsicEvaluation

    public class IntrinsicEvaluation

extends java.lang.Object

For calculating intrinsic quality measures.

Field Summary
`private IObjectGrouping` | `evalGrouping`
`private java.lang.String` | `groupingDesignation`
`private IntrinsicGroupEvaluation` | `intrinsicGroupEvaluation`
`private Properties` | `properties`
`private ISimilarity` | `similarity`
`private java.lang.String` | `stamp`

Constructor Summary
`IntrinsicEvaluation(IObjectGrouping evalGrouping, ISimilarity similarity, java.lang.String groupingDesignation, java.lang.String stamp)`

Method Summary
`MeasureGroup` | `allGlobalMeasuresInAGroup()`
`Measures` | `calculateAllMeasures()`
`MeasureGroup` | `calculateGroupingMeasures(java.lang.String groupingDesignation)`
`MeasureGroup` | `calculateGroupMeasures()`
`private MeasureGroup` | `calculateOneGroupMeasures(IObjectGroup iog, int groupNumber, java.util.HashMap<IObjectGroup,Measure> selfSimilarityMap, java.util.HashMap<IObjectGroup,Measure> groupGroupingSimilarityMap)`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private Properties properties

### evalGrouping

    private IObjectGrouping evalGrouping

### similarity

    private ISimilarity similarity

### groupingDesignation

    private java.lang.String groupingDesignation

### stamp

    private java.lang.String stamp

### intrinsicGroupEvaluation

    private IntrinsicGroupEvaluation intrinsicGroupEvaluation

Constructor Detail

### IntrinsicEvaluation

    public IntrinsicEvaluation(IObjectGrouping evalGrouping,
                               ISimilarity similarity,
                               java.lang.String groupingDesignation,
                               java.lang.String stamp)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### calculateAllMeasures

    public Measures calculateAllMeasures()
                                  throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### allGlobalMeasuresInAGroup

    public MeasureGroup allGlobalMeasuresInAGroup()
                                           throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGroupingMeasures

    public MeasureGroup calculateGroupingMeasures(java.lang.String groupingDesignation)
                                           throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGroupMeasures

    public MeasureGroup calculateGroupMeasures()
                                        throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateOneGroupMeasures

    private MeasureGroup calculateOneGroupMeasures(IObjectGroup iog,
                                                   int groupNumber,
                                                   java.util.HashMap<IObjectGroup,Measure> selfSimilarityMap,
                                                   java.util.HashMap<IObjectGroup,Measure> groupGroupingSimilarityMap)
                                            throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD